Bug 1656797

Summary: gnome-remote-desktop crashes on client disconnection
Product: [Fedora] Fedora Reporter: Vitezslav Humpa <vhumpa>
Component: gnome-remote-desktopAssignee: Jonas Ã…dahl <jadahl>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: jadahl
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-11-27 20:15:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Vitezslav Humpa 2018-12-06 11:01:04 UTC
Description of problem:
gnome-remote-desktop crashes on client disconnect. Wayland session. Prior to the disconnect session was active, though the vnc screen was black (pipewire running on user session). Authentication type used doesn't seem to matter.

Version-Release number of selected component (if applicable):
gnome-remote-desktop-0.1.6-1.fc29.x86_64

Looks like this FAF report adheres to this issue:
https://retrace.fedoraproject.org/faf/reports/2383970/

Journal output:
Dec 06 11:51:56 localhost.localdomain gnome-remote-de[10606]: Unhandled socket condition 32
Dec 06 11:51:56 localhost.localdomain audit[10606]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=8 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=10606 comm="gnome-remote-de" exe="/usr/libexec/gnome-remote-desktop-daemon" sig=6 res=1
Dec 06 11:51:56 localhost.localdomain gnome-remote-desktop-daemon[10606]: **
Dec 06 11:51:56 localhost.localdomain gnome-remote-desktop-daemon[10606]: ERROR:../src/grd-session-vnc.c:599:handle_socket_data: code should not be reached
Dec 06 11:51:56 localhost.localdomain systemd[1]: Started Process Core Dump (PID 10763/UID 0).
Dec 06 11:51:56 localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@4-10763-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dec 06 11:51:56 localhost.localdomain systemd[7722]: gnome-remote-desktop.service: Main process exited, code=dumped, status=6/ABRT
Dec 06 11:51:56 localhost.localdomain systemd[7722]: gnome-remote-desktop.service: Failed with result 'core-dump'.
Dec 06 11:51:56 localhost.localdomain gnome-shell[7844]: D-Bus client with active sessions vanished
Dec 06 11:51:56 localhost.localdomain systemd-coredump[10764]: Process 10606 (gnome-remote-de) of user 1000 dumped core.
                                                               
                                                               Stack trace of thread 10606:
                                                               #0  0x00007fedd885a53f raise (libc.so.6)
                                                               #1  0x00007fedd8844895 abort (libc.so.6)
                                                               #2  0x00007fedd8ec9de3 n/a (libglib-2.0.so.0)
                                                               #3  0x00007fedd8f246be g_assertion_message_expr (libglib-2.0.so.0)
                                                               #4  0x0000565108245b50 n/a (gnome-remote-desktop-daemon)
                                                               #5  0x00007fedd8d872ad n/a (libgio-2.0.so.0)
                                                               #6  0x00007fedd8efc26d g_main_context_dispatch (libglib-2.0.so.0)
                                                               #7  0x00007fedd8efc638 n/a (libglib-2.0.so.0)
                                                               #8  0x00007fedd8efc6d0 g_main_context_iteration (libglib-2.0.so.0)
                                                               #9  0x00007fedd8dab465 g_application_run (libgio-2.0.so.0)
                                                               #10 0x000056510823b539 n/a (gnome-remote-desktop-daemon)
                                                               #11 0x00007fedd8846413 __libc_start_main (libc.so.6)
                                                               #12 0x000056510823b63e n/a (gnome-remote-desktop-daemon)
                                                               
                                                               Stack trace of thread 10607:
                                                               #0  0x00007fedd8914301 __poll (libc.so.6)
                                                               #1  0x00007fedd8efc5a6 n/a (libglib-2.0.so.0)
                                                               #2  0x00007fedd8efc6d0 g_main_context_iteration (libglib-2.0.so.0)
                                                               #3  0x00007fedd8efc721 n/a (libglib-2.0.so.0)
                                                               #4  0x00007fedd8f2548a n/a (libglib-2.0.so.0)
                                                               #5  0x00007fedd879658e start_thread (libpthread.so.0)
                                                               #6  0x00007fedd891f513 __clone (libc.so.6)
                                                               
                                                               Stack trace of thread 10608:
                                                               #0  0x00007fedd8914301 __poll (libc.so.6)
                                                               #1  0x00007fedd8efc5a6 n/a (libglib-2.0.so.0)
                                                               #2  0x00007fedd8efc962 g_main_loop_run (libglib-2.0.so.0)
                                                               #3  0x00007fedd8dd879a n/a (libgio-2.0.so.0)
                                                               #4  0x00007fedd8f2548a n/a (libglib-2.0.so.0)
                                                               #5  0x00007fedd879658e start_thread (libpthread.so.0)
                                                               #6  0x00007fedd891f513 __clone (libc.so.6)
                                                               
                                                               Stack trace of thread 10610:
                                                               #0  0x00007fedd8914301 __poll (libc.so.6)
                                                               #1  0x00007fedd8efc5a6 n/a (libglib-2.0.so.0)
                                                               #2  0x00007fedd8efc6d0 g_main_context_iteration (libglib-2.0.so.0)
                                                               #3  0x00007fedd8fdac6d n/a (libdconfsettings.so)
                                                               #4  0x00007fedd8f2548a n/a (libglib-2.0.so.0)
                                                               #5  0x00007fedd879658e start_thread (libpthread.so.0)
                                                               #6  0x00007fedd891f513 __clone (libc.so.6)
                                                               
                                                               Stack trace of thread 10760:
                                                               #0  0x00007fedd8919d6d syscall (libc.so.6)
                                                               #1  0x00007fedd8f4411e g_cond_wait_until (libglib-2.0.so.0)
                                                               #2  0x00007fedd8ece231 n/a (libglib-2.0.so.0)
                                                               #3  0x00007fedd8ece825 g_async_queue_timeout_pop (libglib-2.0.so.0)
                                                               #4  0x00007fedd8f25f31 n/a (libglib-2.0.so.0)
                                                               #5  0x00007fedd8f2548a n/a (libglib-2.0.so.0)
                                                               #6  0x00007fedd879658e start_thread (libpthread.so.0)
                                                               #7  0x00007fedd891f513 __clone (libc.so.6)
                                                               
                                                               Stack trace of thread 10762:
                                                               #0  0x00007fedd891f847 epoll_wait (libc.so.6)
                                                               #1  0x00007fedd4c1baa5 n/a (libspa-support.so)
                                                               #2  0x00007fedd8c84498 n/a (libpipewire-0.2.so.1)
                                                               #3  0x00007fedd879658e start_thread (libpthread.so.0)
                                                               #4  0x00007fedd891f513 __clone (libc.so.6)
Dec 06 11:51:56 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@4-10763-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dec 06 11:51:56 localhost.localdomain systemd[7722]: gnome-remote-desktop.service: Service RestartSec=100ms expired, scheduling restart.
Dec 06 11:51:56 localhost.localdomain systemd[7722]: gnome-remote-desktop.service: Scheduled restart job, restart counter is at 2.
Dec 06 11:51:56 localhost.localdomain systemd[7722]: Stopped GNOME Remote Desktop.
Dec 06 11:51:56 localhost.localdomain systemd[7722]: Starting GNOME Remote Desktop...
Dec 06 11:51:56 localhost.localdomain systemd[7722]: Started GNOME Remote Desktop.

Comment 1 Ben Cotton 2019-10-31 20:21:38 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 20:15:39 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.